Loading...
Searching...
No Matches
IPktDataIn< P > Class Template Referenceabstract
OpenCSD Library : Interfaces

Interface class providing an input for discrete protocol packets. More...

`#include <trc_pkt_in_i.h>`

Inheritance diagram for IPktDataIn< P >:
[legend]
Collaboration diagram for IPktDataIn< P >:
[legend]

## Public Member Functions

| IPktDataIn ()
virtual | ~IPktDataIn ()
virtual ocsd_datapath_resp_t | PacketDataIn (const ocsd_datapath_op_t op, const ocsd_trc_index_t index_sop, const P *p_packet_in)=0
Public Member Functions inherited from ITrcTypedBase
| ITrcTypedBase ()
virtual | ~ITrcTypedBase ()

## Detailed Description

template<class P>
class IPktDataIn< P >

Interface class providing an input for discrete protocol packets.

Implemented by trace protocol packet decoders to convert packets into generic trace elements.

Packet class used will contain information on the latest packet, and any intra-packet state.

Definition at line 54 of file trc_pkt_in_i.h.

## Constructor & Destructor Documentation

## IPktDataIn()

template<class P >

IPktDataIn< P >::IPktDataIn | ( |  | ) |

inline

Definition at line 57 of file trc_pkt_in_i.h.

## ~IPktDataIn()

template<class P >

virtual IPktDataIn< P >::~IPktDataIn | ( |  | ) |

inline virtual

Default constructor.

Definition at line 58 of file trc_pkt_in_i.h.

## Member Function Documentation

## PacketDataIn()

template<class P >

virtual ocsd_datapath_resp_t IPktDataIn< P >::PacketDataIn | ( | const ocsd_datapath_op_t | op,
|  | const ocsd_trc_index_t | index_sop,
|  | const P * | p_packet_in
| ) |  |

pure virtual

Default destructor.

Interface function to process a single protocol packet. Pass a trace index for the start of packet and a pointer to a packet when the datapath operation is OCSD_OP_DATA.

Parameters

  op | : Datapath operation.
  index_sop | : Trace index for the start of the packet, 0 if not OCSD_OP_DATA.
  *p_packet_in | : Protocol Packet - when data path operation is OCSD_OP_DATA. null otherwise.

Returns
  ocsd_datapath_resp_t : Standard data path response.

Implemented in TrcPktDecodeBase< EtmV3TrcPacket, EtmV3Config >, TrcPktDecodeBase< EtmV4ITrcPacket, EtmV4Config >, TrcPktDecodeBase< P, Pc >, TrcPktDecodeBase< PtmTrcPacket, PtmConfig >, and TrcPktDecodeBase< StmTrcPacket, STMConfig >.

The documentation for this class was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/interfaces/trc_pkt_in_i.h